# ⚡Meta validator

A tidy utility to handle validation of strings like a pro. It provides support for both iOS, Android, Web, Linux platforms (offcourse).

## 🎖Installing

```yaml
dependencies:
  meta_validator: ^<latest_version>
```

## ⚽Awesome Features

🔥```StrengthChecker.getPasswordStrength("some password")```

- Check the strength of your password ranging between 0.0 to 1.0

🔥```StrengthChecker.getPasswordValidations(
        password: "aaa",
        defaultTitle: "DEFAULT",
        mediumTitle: "MEDIUM",
        strongTitle: "STRONG",
        weakTitle: "WEAK");```

- Get a customized string for password strength. Add you custom messages for each password validation with a default statement.

🔥```StringValidator.validateEmail("fake email")```

- Check if your email address is valid or not.

🔥```StringValidator.validatePostalCode("fake postal code")```

- Check if your postal code is valid or not.

🔥```StringValidator.validateBlacklisted(["apple", "ball"], "ball")```

- Check if the inserted word is blacklisted or not.


😎 + 10 more string validators!


-----------------------------------------------------------------------------


#### ❤Loved the utility? [Donate here](https://www.paypal.com/paypalme/abhishvekk).
#### 🚀Want to learn more about Flutter? [Checkout this out!](https://www.youtube.com/channel/UCIxJGxcB4pSrIvuv8FyuqUA)
#### 💥DM me on Instagram for doubts [Follow here](https://www.instagram.com/abhishvek/)

## 🐛 Bugs/Requests

If you encounter any problems feel free to open an issue. If you feel the library is
missing a feature, please raise a ticket on Github and I'll look into it.
Pull request are also welcome.

